Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.TestPastContentHandle

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestPastContentHandle

All Implemented Interfaces:
  PastContentHandle, java.io.Serializable

Enclosing class:
  PastRegrTest

protected static class PastRegrTest.TestPastContentHandle
extends java.lang.Object
implements PastContentHandle

Utility class for past content object handles

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected NodeHandle` | `handle` DESCRIBE THE FIELD
`protected Id` | `id` DESCRIBE THE FIELD

Constructor Summary
`PastRegrTest.TestPastContentHandle(Past past, Id id)` Constructor for TestPastContentHandle.

Method Summary
`Id` | `getId()` Gets the Id attribute of the TestPastContentHandle object
`NodeHandle` | `getNodeHandle()` Gets the NodeHandle attribute of the TestPastContentHandle object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handle

    protected NodeHandle handle

  DESCRIBE THE FIELD

### id

    protected Id id

  DESCRIBE THE FIELD

Constructor Detail

### PastRegrTest.TestPastContentHandle

    public PastRegrTest.TestPastContentHandle(Past past,
                                              Id id)

  Constructor for TestPastContentHandle.

Parameters:
  `past` - DESCRIBE THE PARAMETER
  `id` - DESCRIBE THE PARAMETER

Method Detail

### getId

    public Id getId()

  Gets the Id attribute of the TestPastContentHandle object

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    The Id value

### getNodeHandle

    public NodeHandle getNodeHandle()

  Gets the NodeHandle attribute of the TestPastContentHandle object

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    The NodeHandle value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.